QGIS Application - Bug report #9201
Select by Location Failure on complex polygons
2013-12-11 09:36 AM - Neil Benny

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.0.1 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corruptsdata: Copied to github as #: 17829
Description

There is an issue with large complex vectors and the Select by Location tool.

I have a polygon which has 350,000 nodes and 1200 multiparts. It is the way flood data in Scotland is provided by the environment
agency. Performing a select by location causes the system to slow and eventually crash. There is no error message.

More info:

http://gis.stackexchange.com/questions/79885/ggis-2-0-performance-issue-when-selecting-by-location-on-a-complex-dataset?noredirec
=1#comment110005_79885

History

#1 - 2013-12-11 09:38 AM - Matthias Kuhn
- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2013-12-11 09:44 AM - Giovanni Manghi

- Target version set to Future Release - High Priority
- Status changed from Open to Feedback

- Category set to 44

Can you share the data that causes the issue?

#3 - 2014-01-26 11:22 AM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Feedback to Closed

Closing for lack of feedback/sample data to replicate.

#4 - 2014-02-26 08:20 AM - Neil Benny

Just for information - | have tested the data on the new version (2.2) and this is no longer an issue.

#5 - 2017-05-01 01:21 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

2024-03-13 22



